## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global undername python_socks

%global _description %{expand:
The python-socks package provides a core proxy client functionality for Python.
Supports SOCKS4(a), SOCKS5, HTTP (tunneling) proxy and provides sync and async
(asyncio, trio, curio) APIs. It is used internally by aiohttp-socks and
httpx-socks packages.
}

Name:           python-socks
Version:        2.0.3
Release:        %autorelease
Summary:        Core proxy (SOCKS4, SOCKS5, HTTP tunneling) functionality for Python

License:        ASL 2.0
URL:            https://github.com/romis2012/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description %_description

%package -n python3-socks
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-socks %_description

# extras: asyncio, curio, trio
%pyproject_extras_subpkg -n python3-socks asyncio curio trio

%prep
%autosetup

# remove version lock
# https://github.com/romis2012/python-socks/blob/master/requirements-dev.txt
sed -i 's/pytest-asyncio>.*/pytest-asyncio/' requirements-dev.txt

%generate_buildrequires
%pyproject_buildrequires -r requirements-dev.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{undername}

%check
# https://github.com/romis2012/python-socks/blob/master/.travis.yml
%pytest tests/

%files -n python3-socks -f %{pyproject_files}
%doc README.md

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 15 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 2.0.3-5
- chore: rebuild for pyc magic number change (fixes rhbz#2113655)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 01 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 2.0.3-3
- feat: modernise spec to use pyproject macros

* Fri Jul 01 2022 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 2.0.3-1
- Update to latest upstream release

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 1.2.4-5
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2.4-2
- Rebuilt for Python 3.10

* Tue May 11 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.4-1
- Use py3_dist marcos everywhere
- Remove unneeded egg info removal command

* Mon May 10 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.4-1
- use single line extras macro invocation

* Mon May 10 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.4-1
- do not use modname as a variable

* Mon May 10 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.4-1
- Use github tar
- Enable all tests and remove conditional
- Provide meta packages for extras
- Remove unneeded comments
- Remove weak deps: included by the automatic dep generator in extra sub-packages

* Mon May 10 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.4-1
- Initial package

